PETSc version 3.15.5
Fix/Edit manual page

# PCGetFailedReasonRank

Gets the reason a PCSetUp() failed or PC_NOERROR if it did not fail on this MPI rank

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetFailedReasonRank(PC pc,PCFailedReason *reason)

Not Collective on PC

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| reason | - the reason it failed

### Notes

Different ranks may have different reasons or no reason, see PCGetFailedReason()

### See Also

PCCreate(), PCApply(), PCDestroy(), PCGetFailedReason(), PCSetFailedReason()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages